Package org.eclipse.ltk.ui.refactoring

## Class UndoRefactoringAction

- java.lang.Object
- - org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
  - - org.eclipse.ltk.ui.refactoring.UndoRefactoringAction

All Implemented Interfaces:
  `IActionDelegate`, `IWorkbenchWindowActionDelegate`

    @Deprecated
    public class UndoRefactoringAction
    extends org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction

Deprecated.
This action is now longer needed. Undo is now performed via the global undo/redo stack provided by `org.eclipse.core.commands`.
The refactoring undo action. When executed the action performs the top most change from the refactoring undo manager's undo stack.

The action is typically added to a global refactoring menu via the `org.eclipse.ui.actionSets` extension point.

Note: this class isn't intended to be subclassed. Clients are only allowed to instantiate the class or to reference it from an action set.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction

`org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction.Query`

### Constructor Summary

Constructors
`UndoRefactoringAction()` Deprecated. Creates a new undo refactoring action.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected IRunnableWithProgress` `createOperation​(Shell parent)` Deprecated.
`protected UndoManagerAdapter` `createUndoManagerListener()` Deprecated.
`protected String` `getName()` Deprecated.
`void` `selectionChanged​(IAction action, ISelection s)` Deprecated. Notifies this action delegate that the selection in the workbench has changed.

### Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction

`dispose, getAction, getWorkbenchWindow, hookListener, init, isHooked, run, shortenText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UndoRefactoringAction

    public UndoRefactoringAction()

Deprecated.
Creates a new undo refactoring action.

### Method Detail

#### getName

    protected String getName()

Deprecated.

Specified by:
  `getName` in class `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`

#### createOperation

    protected IRunnableWithProgress createOperation​(Shell parent)

Deprecated.

Specified by:
  `createOperation` in class `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`

#### createUndoManagerListener

    protected UndoManagerAdapter createUndoManagerListener()

Deprecated.

Specified by:
  `createUndoManagerListener` in class `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`

#### selectionChanged

    public void selectionChanged​(IAction action,
                                 ISelection s)

Deprecated.
Description copied from interface: `IActionDelegate`
Notifies this action delegate that the selection in the workbench has changed.

Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

Parameters:
  `action` - the action proxy that handles presentation portion of the action
  `s` - the current selection, or `null` if there is no selection.